Loading...
Searching...
No Matches
Qore::DateTimeInfo Struct Reference

date/time information hash as returned by date_info() and <date>::info() More...

`#include <ql_time.dox.h>`

## Public Attributes

int | day
| (absolute and relative) The day value of the date (day of the month for absolute dates)
int | dow
| (absolute Only) The day of the week, where 0=Sunday, 1=Monday, ... 6=Saturday
int | doy
| (absolute Only) The ordinal day number in the year
bool | dst
| (absolute Only) A flag if daylight savings time is in effect
int | hour
| (absolute and relative) The hour value of the date
int | microsecond
| (absolute and relative) The microsecond value of the date
int | minute
| (absolute and relative) The minute value of the date
int | month
| (absolute and relative) The month value of the date
bool | relative
| (absolute and relative) True if the date is a relative date, False if it is absolute
int | second
| (absolute and relative) The second value of the date
int | utc_secs_east
| (absolute Only) Offset from UTC in seconds east; if the time zone is west of UTC then the value will be negative
int | year
| (absolute and relative) The year value of the date
Qore::TimeZone | zone
| (absolute Only) The time zone for the time
string | zone_name
| (absolute Only) The name of the time zone for the given time (ex: "CEST" for Central European Summer Time for a time during summer time or "CET" for Central European Time for the same time zone while daylight savings time is not active)

## Detailed Description

date/time information hash as returned by date_info() and <date>::info()

Since
  Qore 0.8.13